# Get File Changes files for specified audit run

POST /v3/web-audits/{auditId}/runs/{runId}/reports/file-changes/files

Endpoint: POST /v3/web-audits/{auditId}/runs/{runId}/reports/file-changes/files
Security: API_Key

## Security:

  - `API_Key` (unknown)
    apiKey in header Authorization

## Path parameters:

  - `auditId` (integer, required)
    Unique identification number for web audit

  - `runId` (integer, required)
    Unique identification number for web audit or journey run

## Query parameters:

  - `page` (integer)
    Page number, starts with 0

  - `size` (integer)

  - `sortBy` (string)

  - `sortDesc` (boolean)
    Controls sorting order

## Request body:

  - `application/json` (unknown)
    Filters applicable to File Changes report

## Request fields (application/json):

  - `pageUrl` (object)

  - `pageUrl.filterType` (string, required)
    Enum: "contains", "regex"

  - `pageUrl.filterValue` (string, required)

  - `pageUrl.negated` (boolean)
    Switches from "contains" to "not contains", and from "matches regex" to "does not match regex". Supported only by Page Summary for now

  - `pageTitle` (object)

  - `pageTitle.filterType` (string, required)
    Enum: "contains", "not_contains"

  - `pageTitle.filterValue` (string, required)
    Page title as displayed by browser
    Example: ObserveP

  - `initialPageStatusCode` (object)

  - `initialPageStatusCode.filterType` (string, required)
    Enum: "specific", "range"

  - `initialPageStatusCode.negated` (boolean, required)
    Switches from `==` to `!=`, and from `between [minInclusive, maxExclusive)` to `NOT between [minInclusive, maxExclusive)`

  - `initialPageStatusCode.filterValue` (integer, required)

  - `initialPageStatusCode.minInclusive` (integer, required)

  - `initialPageStatusCode.maxExclusive` (integer, required)

  - `combinedPageStatusCode` (string)
    - `broken` - initial or final URL are `broken`,
- `good` - initial URL is `good` or `redirect` and final URL is `good`
    Enum: "broken", "good"

  - `pageLoadTime` (object)
    Page load time in milliseconds. Should have `min` and/or `max` properties defined. `min` is inclusive and `max` is exclusive. `min` should be less than `max`.

  - `pageLoadTime.min` (integer)

  - `pageLoadTime.max` (integer)

  - `pageSize` (object)
    Page size in bytes. Should have `min` and/or `max` properties defined. `min` is inclusive and `max` is exclusive. `min` should be less than `max`.

  - `pageSize.min` (integer)

  - `pageSize.max` (integer)

  - `redirectCount` (object)
    Number of redirects for a page. Should have `min` and/or `max` properties defined. `min` is inclusive and `max` is exclusive. `min` should be less than `max`.

  - `hasBrokenLinks` (boolean)

  - `pageStatusCode` (string)
    good - 2xx, redirects - 3xx, broken - all others
    Enum: "good", "redirects", "broken"

  - `primaryTagsOnly` (boolean)
    if true then return only pages/tags with primary tags else return all pages/tags

  - `tagId` (integer)
    Tag ID

  - `tagCategoryId` (integer)
    Tag category ID

  - `tagVendorId` (integer)
    Tag vendor ID

  - `dateDifference` (object)
    Filters absolute difference values, e.g. when min = 200 then -300 diff passes filter. Should have `min` and/or `max` properties defined. `min` is inclusive, `max` is exclusive.

  - `dateDifference.min` (integer)
    date difference in minutes

  - `sizeDifference` (object)
    Filters absolute difference values, e.g. when min = 200 then -300 diff passes filter. Should have `min` and/or `max` properties defined. `min` is inclusive, `max` is exclusive.

  - `sizeDifference.min` (integer)
    File size change in number of bytes

  - `filename` (string)
    Name of the file. Identified as the last non-empty part of URL path
    Example: main.js

  - `changeType` (string)
    Enum: "new_file", "not_changed", "changed_file", "deleted_file", "unknown"

  - `anyRelatedTag` (boolean)
    Show all files with any related tag

## Response 200:

  - `200` (unknown)
    File Changes summary data

## Response 200 fields (application/json):

  - `metadata` (object, required)
    Common metadata for iterable

  - `metadata.pagination` (object, required)

  - `metadata.pagination.totalCount` (integer, required)
    Total number of items available from all result pages combined

  - `metadata.pagination.totalPageCount` (integer, required)
    Total number of pages available

  - `metadata.pagination.pageSize` (integer, required)
    Page size - number of items per result page configured by `size` query parameter or default page size

  - `metadata.pagination.currentPageSize` (integer, required)
    Number of items in current result page

  - `metadata.pagination.currentPageNumber` (integer, required)
    Current page number/ordinal

  - `files` (array, required)

  - `files.filename` (string, required)
    Name of the file. Identified as the last non-empty part of URL path
    Example: main.js

  - `files.requestDomain` (string, required)
    Network request URL domain
    Example: example.com

  - `files.partyType` (string, required)
    Indicates the level of similarity of network request URL domain and its page URL domain
    Enum: "1st_party", "3rd_party"

  - `files.fileChangeType` (string, required)
    Enum: "new_file", "not_changed", "changed_file", "deleted_file", "unknown"

  - `files.tag` (object)
    Common tag info

  - `files.tag.tagId` (integer, required)
    Tag ID

  - `files.tag.tagName` (string, required)
    Tag name

  - `files.tag.tagCategoryId` (integer, required)
    Tag category ID

  - `files.tag.tagCategoryName` (string, required)
    Name of a category of a tag

  - `files.largestDateDifference` (integer)
    Number of minutes for date difference between 2 file versions, can be negative

  - `files.largestSizeDifference` (integer)
    File size change in number of bytes between 2 file versions, can be negative

  - `files.pageCount` (integer, required)

## Response 400:

  - `400` (unknown)
    The request cannot be accepted

## Response 400 fields (application/json):

  - `timestamp` (string)

  - `message` (string)

  - `details` (string)

  - `validationReport` (object)

## Response 401:

  - `401` (unknown)
    Your token is invalid.

## Response 401 fields (application/json):

  - `timestamp` (string)

  - `message` (string)

  - `details` (string)

  - `validationReport` (object)

## Response 404:

  - `404` (unknown)
    The object you are looking is not found

## Response 404 fields (application/json):

  - `timestamp` (string)

  - `message` (string)

  - `details` (string)

  - `validationReport` (object)

